tigase.jaxmpp.core.client.xmpp.modules

## Class BookmarksModule.BookmarksAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.BookmarksModule.BookmarksAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    BookmarksModule

      public abstract static class BookmarksModule.BookmarksAsyncCallback
      extends Object
      implements AsyncCallback

  Bookmarks callback.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BookmarksAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onBookmarksReceived(List<Element> bookmarks)`
    `void` | `onSuccess(Stanza stanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### BookmarksAsyncCallback

          public BookmarksAsyncCallback()

  - ### Method Detail

    - #### onBookmarksReceived

          public abstract void onBookmarksReceived(List<Element> bookmarks)

    - #### onSuccess

          public void onSuccess(Stanza stanza)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `stanza` - received stanza
      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.